scala.collection.mutable

# Publisher

#### trait Publisher[Evt] extends AnyRef

`Publisher[A,This]` objects publish events of type `A` to all registered subscribers. When subscribing, a subscriber may specify a filter which can be used to constrain the number of events sent to the subscriber. Subscribers may suspend their subscription, or reactivate a suspended subscription. Class `Publisher` is typically used as a mixin. The abstract type `Pub` models the type of the publisher itself.

Evt

  type of the published event.

Source
  Publisher.scala
Version

  2.8

Since

  1

Linear Supertypes
AnyRef, Any
Known Subclasses
ObservableBuffer, ObservableMap, ObservableSet
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Publisher
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Filter = (Evt) ⇒ Boolean

2. #### abstract type Pub <: Publisher[Evt]

3. #### type Sub = Subscriber[Evt, Pub]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Publisher[Evt] to any2stringadd[Publisher[Evt]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Publisher[Evt], B)

   Implicit information
     This member is added by an implicit conversion from Publisher[Evt] to ArrowAssoc[Publisher[Evt]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def activateSubscription(sub: Sub): Unit

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Publisher[Evt]) ⇒ Boolean, msg: ⇒ Any): Publisher[Evt]

   Implicit information
     This member is added by an implicit conversion from Publisher[Evt] to Ensuring[Publisher[Evt]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Publisher[Evt]) ⇒ Boolean): Publisher[Evt]

    Implicit information
      This member is added by an implicit conversion from Publisher[Evt] to Ensuring[Publisher[Evt]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Publisher[Evt]

    Implicit information
      This member is added by an implicit conversion from Publisher[Evt] to Ensuring[Publisher[Evt]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Publisher[Evt]

    Implicit information
      This member is added by an implicit conversion from Publisher[Evt] to Ensuring[Publisher[Evt]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(obj: Any): Boolean

    Checks if two publishers are structurally identical.

    Checks if two publishers are structurally identical.

    returns

      true, iff both publishers contain the same sequence of elements.

    Definition Classes
      Publisher → AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Publisher[Evt] to StringFormat[Publisher[Evt]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def publish(event: Evt): Unit

    Attributes
      protected

24. #### def removeSubscription(sub: Sub): Unit

25. #### def removeSubscriptions(): Unit

26. #### val self: Pub

    The publisher itself of type `Pub`.

    The publisher itself of type `Pub`. Implemented by a cast from `this` here. Needs to be overridden if the actual publisher is different from `this`.

    Attributes
      protected

27. #### def subscribe(sub: Sub, filter: Filter): Unit

28. #### def subscribe(sub: Sub): Unit

29. #### def suspendSubscription(sub: Sub): Unit

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (Publisher[Evt], B)

    Implicit information
      This member is added by an implicit conversion from Publisher[Evt] to ArrowAssoc[Publisher[Evt]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Publisher[Evt] to any2stringadd[Publisher[Evt]]

### Inherited by implicit conversion StringFormat from Publisher[Evt] to StringFormat[Publisher[Evt]]

### Inherited by implicit conversion Ensuring from Publisher[Evt] to Ensuring[Publisher[Evt]]

### Inherited by implicit conversion ArrowAssoc from Publisher[Evt] to ArrowAssoc[Publisher[Evt]]

### Ungrouped